datacache <- new.env(hash=TRUE, parent=emptyenv())

mgug4121a <- function() showQCData("mgug4121a", datacache)
mgug4121a_dbconn <- function() dbconn(datacache)
mgug4121a_dbfile <- function() dbfile(datacache)
mgug4121a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgug4121a_dbInfo <- function() dbInfo(datacache)

mgug4121aORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgug4121a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgug4121a", "chip mgug4121a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mgug4121a.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgug4121a_dbconn())
}

